2008-08-03  Jens Granseuer  <jensgr@gmx.net>

	* gnome-theme-apply.c: (gnome_meta_theme_set): if the metatheme loaded
	doesn't define a notification theme don't set it to "standard" (bug
	#546036)

2008-07-29  Jens Granseuer  <jensgr@gmx.net>

	* file-transfer-dialog.c: (file_transfer_job_destroy),
	(file_transfer_job_schedule), (file_transfer_dialog_copy_async):
	make the file transfer dialog work with GFiles instead gchar paths
	internally

2008-07-28  Bastien Nocera  <hadess@hadess.net>

	* Makefile.am:
	* capplet-util.c (directory_delete_recursive),
	(capplet_file_delete_recursive):
	* capplet-util.h: Move directory deletion helper function
	from the appearance capplet into a common directory

2008-07-15  Matthias Clasen  <mclasen@redhat.com>

	Bug 533611 - add notification themes to the metatheme format

	* gnome-theme-apply.c: When applying a metatheme, apply
	the notification theme, too.

	* gnome-theme-info.h: Add a notification_theme_name field
	to the metatheme info struct.

	* gnome-theme-info.c: When reading a metatheme from a keyfile,
	handle notification themes.

2008-06-01  Thomas Wood  <thos@gnome.org>

	* capplet-util.c:
	* capplet-util.h:

	Remove some redundant and unused code

2008-05-24  Jens Granseuer  <jensgr@gmx.net>

	* gnome-theme-info.c: (gnome_theme_read_meta_theme),
	(read_icon_theme), (read_cursor_theme), (read_cursor_fonts),
	(update_theme_index): return to using paths instead of URIs since
	most of the code using them expects paths

2008-05-18  Thomas Wood  <thos@gnome.org>

	* gconf-property-editor.c: (gconf_property_editor_class_init),
	(gconf_property_editor_get_prop): Allow the data property to be
	read as well as written.

2008-05-18  Jens Granseuer  <jensgr@gmx.net>

	* gconf-property-editor.c: (gconf_property_editor_init),
	(gconf_property_editor_class_init),
	(gconf_property_editor_finalize), (gconf_peditor_new),
	(gconf_peditor_new_boolean), (gconf_peditor_new_integer_valist),
	(gconf_peditor_new_string_valist), (gconf_peditor_new_color),
	(gconf_peditor_new_combo_box),
	(gconf_peditor_new_combo_box_with_enum),
	(gconf_peditor_new_select_radio),
	(gconf_peditor_new_numeric_range),
	(gconf_peditor_widget_set_guard), (gconf_peditor_new_enum_toggle),
	(peditor_image_set_filename), (peditor_image_clicked_cb),
	(gconf_peditor_new_image),
	(gconf_peditor_new_select_radio_with_enum): use G_DEFINE_TYPE to
	get rid of the boilerplate code and remove a number of unnecessary
	casts

==================== 2.23.2 ====================

2008-05-17  Jens Granseuer  <jensgr@gmx.net>

	* bonobo-property-editor-range.c:
	* bonobo-property-editor-range.h: remove unused files

2008-05-07  Jens Granseuer  <jensgr@gmx.net>

	* gnome-theme-info.c: (gtk_theme_info_missing_engine),
	(gnome_theme_meta_info_validate):
	* gnome-theme-info.h: split out the check for the missing theme
	engine because we also need it for the packagekit support

2008-05-06  Jens Granseuer  <jensgr@gmx.net>

	* gnome-theme-info.c: (gnome_theme_meta_info_validate): fix error
	code when GTK engine is missing, and fix the function signature

2008-05-06  Jens Granseuer  <jensgr@gmx.net>

	* Makefile.am:
	* gnome-theme-info.c: (gnome_theme_info_error_quark),
	(gnome_theme_meta_info_free), (gnome_theme_meta_info_validate):
	* gnome-theme-info.h: move metatheme validation code here from the
	appearance capplet and add proper error codes

2008-05-04  Jens Granseuer  <jensgr@gmx.net>

	* gnome-theme-test.c: (main): doesn't need gnome-vfs any longer

2008-05-01  Jens Granseuer  <jensgr@gmx.net>

	* gnome-theme-info.c: (read_cursor_theme), (read_cursor_fonts),
	(update_theme_index): always use URIs instead for info->path; since
	gio cleanly distinguishes path/uri (contrary to gnome-vfs), the
	random mix we have right now is becoming a nuisance

2008-05-01  Jens Granseuer  <jensgr@gmx.net>

	* gnome-theme-apply.c:
	* gnome-theme-info.c: (get_file_type), (add_theme_to_hash_by_name),
	(get_theme_from_hash_by_name), (gnome_theme_read_meta_theme),
	(read_icon_theme), (gdk_pixbuf_from_xcursor_image),
	(read_cursor_theme), (handle_change_signal), (update_theme_index),
	(update_gtk2_index), (update_keybinding_index),
	(update_metacity_index), (update_common_theme_dir_index),
	(update_meta_theme_index), (update_icon_theme_index),
	(update_cursor_theme_index), (gtk2_dir_changed),
	(keybinding_dir_changed), (metacity_dir_changed),
	(common_theme_dir_changed), (common_icon_theme_dir_changed),
	(add_common_theme_dir_monitor),
	(add_common_icon_theme_dir_monitor),
	(remove_common_theme_dir_monitor),
	(remove_common_icon_theme_dir_monitor), (top_theme_dir_changed),
	(top_icon_theme_dir_changed), (real_add_top_theme_dir_monitor),
	(add_top_theme_dir_monitor), (add_top_icon_theme_dir_monitor),
	(gnome_theme_init):
	* gnome-theme-info.h:
	* gnome-theme-test.c: (main): port from gnome-vfs to gio (part of
	bug #524401)

2008-04-20  Jens Granseuer  <jensgr@gmx.net>

	* file-transfer-dialog.c: (file_transfer_dialog_finalize),
	(file_transfer_dialog_class_init): drop redundant GType stuff

2008-04-20  Jens Granseuer  <jensgr@gmx.net>

	* theme-thumbnail.c: (message_from_child): unref the thumbnail image
	after passing it to the callback. Callers will have to ref it if they
	want to keep it until after the callback has returned

2008-04-19  Jens Granseuer  <jensgr@gmx.net>

	* gtkrc-utils.c: (gtkrc_get_details): accept NULL for the
	symbolic_colors parameter if the caller doesn't want that information

2008-04-13  Jens Granseuer  <jensgr@gmx.net>

	Disable theme thumbnailing on MacOS. Some CoreFoundation functionality
	can apparently no longer be used from forked processes (see bug
	#525058). Unfortunately, it is used by freetype/pango/cairo/gtk, and
	as such by our forked thumbnailer. This change means no thumbnails on
	MacOS, but I suppose that's better than crashing. Reworking the
	thumbnailer to work without forking is going to be a major effort.

	* theme-thumbnail.c: (theme_thumbnail_factory_init): only enable the
	asynchronous thumbnailer if not on MacOS

2008-04-12  Jens Granseuer  <jensgr@gmx.net>

	* gtkrc-utils.c: (gtkrc_get_details), (gtkrc_get_color_scheme):
	* gtkrc-utils.h: include config.h, use strcmp instead of our home-grown
	g_str_nequal, and constify the parameter of gtkrc_get_color_scheme

2008-03-30  Jens Granseuer  <jensgr@gmx.net>

	* file-transfer-dialog.c: (file_transfer_dialog_init): use
	G_DEFINE_TYPE instead of open-coding get_type

2008-03-28  Jens Granseuer  <jensgr@gmx.net>

	* file-transfer-dialog.c: (file_transfer_job_destroy),
	(file_transfer_dialog_overwrite), (file_transfer_job_schedule): keep
	the overwrite confirmation around for an entire job, so we don't reset
	the window position all the time

2008-03-27  Jens Granseuer  <jensgr@gmx.net>

	* file-transfer-dialog.c: (file_transfer_dialog_set_prop),
	(file_transfer_dialog_get_prop), (file_transfer_dialog_init),
	(file_transfer_job_update), (file_transfer_job_progress),
	(file_transfer_dialog_overwrite), (file_transfer_job_schedule),
	(file_transfer_dialog_copy_async):
	* file-transfer-dialog.h: add support for file overwrite confirmation

2008-03-11  Jens Granseuer  <jensgr@gmx.net>

	* gnome-theme-apply.c: (gnome_meta_theme_set): actually check the
	cursor size before changing it in GConf, not the theme name
	(thanks to Kjartan Maraas)

2008-03-11  Jens Granseuer  <jensgr@gmx.net>

	Encountering a theme that could not be thumbnailed (e.g. because the
	metacity theme for a metatheme isn't installed) would make the
	thumbnailer crash. Since it's not restarted by the appearance capplet
	this would result in all themes encountered after the broken one not
	to be thumbnailed either. This change fixes up error handling in the
	thumbnailer so that the broken theme is simply skipped and processing
	can continue with the next one. (bug #521009)

	* theme-thumbnail.c: (create_meta_theme_pixbuf),
	(create_metacity_theme_pixbuf), (message_from_capplet),
	(message_from_child), (read_pixbuf),
	(generate_theme_thumbnail_async), (theme_thumbnail_factory_init):
	properly handle failed thumbnailing attempts

2008-03-11  Jens Granseuer  <jensgr@gmx.net>

	* gconf-property-editor.c: (peditor_numeric_range_widget_changed): don't
	free the GConf value if we don't have one. Fixes a crash when schemas
	are not properly installed (bug #520744)

2008-02-27  Jens Granseuer  <jensgr@gmx.net>

	* file-transfer-dialog.c: (file_transfer_dialog_update_num_files),
	(file_transfer_dialog_response), (file_transfer_dialog_finalize),
	(file_transfer_dialog_set_prop), (file_transfer_dialog_class_init),
	(file_transfer_dialog_init), (file_transfer_dialog_get_type),
	(file_transfer_job_update_before),
	(file_transfer_job_update_after), (file_transfer_job_destroy),
	(file_transfer_dialog_done), (file_transfer_dialog_cancel),
	(file_transfer_job_schedule), (file_transfer_dialog_copy_async):
	* file-transfer-dialog.h: port to gio

2008-02-25  Thomas Wood  <thos@gnome.org>

	* theme-thumbnail.c: (message_from_child): Return FALSE on error or EOF,
	which should also fix bug 516413, in addition to checking for G_IO_HUP.

2008-02-25  Thomas Wood  <thos@gnome.org>

	* theme-thumbnail.c:

	(create_meta_theme_pixbuf), (create_metacity_theme_pixbuf):
	Use the new meta_preview_get_clip_region() function in Metacity to fix
	bug 460018 (Rounded window borders don't get rendered correctly).

	(message_from_child): Do not attempt to read from the pipe when
	the connection has been broken. Fixes bug 516413 (Theme thumbnailer
	causes UI to stop drawing when encountering an error).

2008-02-19  Jens Granseuer  <jensgr@gmx.net>

	* file-transfer-dialog.c: (file_transfer_dialog_update_num_files): fix
	small leak

2008-01-25  Jens Granseuer  <jensgr@gmx.net>

	* capplet-stock-icons.c: (capplet_init_stock_icons): remove code
	for obsolete "stock" icons

2007-12-21  Luca Ferretti  <elle.uca@libero.it>

	* gnome-theme-info.c: (gnome_theme_read_meta_theme),
	(gnome_theme_meta_info_free), (gnome_theme_meta_info_print),
	(gnome_theme_meta_info_compare):
	* gnome-theme-info.h:
	Add support for WindowTitleFont and DocumentsFont keys in
	meta-themes. See bug #504250

2007-12-14  Jens Granseuer  <jensgr@gmx.net>

	* gtkrc-utils.c: (gtkrc_get_details), (gtkrc_get_color_scheme): don't
	even try to open NULL filenames, and don't leak filenames when
	detecting recursions

2007-12-09  Jens Granseuer  <jensgr@gmx.net>

	* theme-thumbnail.c: (hbox_foreach): don't try to map invisible
	widgets, e.g. the button icon when running with gtk-button-images=0
	(bug #461298)

2007-12-09  Jens Granseuer  <jensgr@gmx.net>

	* theme-thumbnail.c: (create_meta_theme_pixbuf): free metacity theme
	after use

2007-12-04  Jens Granseuer  <jensgr@gmx.net>

	Patch by: Brian Cameron <brian.cameron@sun.com>

	* gtkrc-utils.c: (gtkrc_get_details), (gtkrc_get_color_scheme):
	printing NULL strings crashes on Solaris so don't do that (bug #501391)

20007-11-12  Rodrigo Moya <rodrigo@gnome-db.org>

	* gnome-theme-info.c:
	* gnome-theme-info.h: re-added GnomeThemeElement to the "public" API,
	since it's used in gnome-theme-test.

2007-11-11  Jens Granseuer  <jensgr@gmx.net>

	* gnome-theme-info.c:
	* gnome-theme-info.h: remove GnomeThemeElement from the "public" API

2007-11-11  Jens Granseuer  <jensgr@gmx.net>

	* gnome-theme-info.c: (handle_change_signal), (update_theme_index),
	(update_common_theme_dir_index):
	* gnome-theme-info.h: remove more redundant info from the theme changed
	callback

2007-10-29  Jens Granseuer  <jensgr@gmx.net>

	* gnome-theme-info.c: (theme_compare), (theme_free),
	(update_common_theme_dir_index), (common_icon_theme_dir_changed),
	(gnome_theme_cursor_info_find_all),
	(gnome_theme_cursor_info_compare):
	* gnome-theme-info.h: make sure we always call update_cursor_theme_index
	with the index.theme URI. Implement some missing functionality for
	cursor theme monitoring.

2007-10-28  Jens Granseuer  <jensgr@gmx.net>

	* gnome-theme-info.c: (add_default_cursor_theme),
	(read_cursor_theme), (update_common_theme_dir_index),
	(update_meta_theme_index), (update_icon_theme_index),
	(update_cursor_theme_index), (common_icon_theme_dir_changed),
	(add_common_icon_theme_dir_monitor), (gnome_theme_info_find),
	(gnome_theme_init): add live monitoring for cursor themes

2007-10-28  Jens Granseuer  <jensgr@gmx.net>

	* gconf-property-editor.c: (gconf_peditor_new_tree_view): add cast to
	avoid "incompatible types" compiler warning

2007-10-28  Jens Granseuer  <jensgr@gmx.net>

	Switch to using a common theme struct that includes a type descriptor
	so we can avoid many of the theme type casts. This should also make
	adding support for live cursor theme changes a little easier.

	* gnome-theme-info.c: (add_theme_to_hash_by_name),
	(remove_theme_from_hash_by_name), (get_theme_from_hash_by_name),
	(gnome_theme_compare), (gnome_theme_free),
	(add_default_cursor_theme), (gdk_pixbuf_from_xcursor_image),
	(read_cursor_theme), (look_for_cursor_theme),
	(read_current_cursor_font), (read_cursor_fonts),
	(handle_change_signal), (update_theme_index),
	(update_common_theme_dir_index), (gtk2_dir_changed),
	(keybinding_dir_changed), (metacity_dir_changed),
	(common_theme_dir_changed), (common_icon_theme_dir_changed),
	(add_common_theme_dir_monitor),
	(add_common_icon_theme_dir_monitor),
	(remove_common_theme_dir_monitor), (top_theme_dir_changed),
	(top_icon_theme_dir_changed), (real_add_top_theme_dir_monitor),
	(gnome_theme_info_new), (gnome_theme_info_free),
	(gnome_theme_info_find), (gnome_theme_info_find_all_helper),
	(gnome_theme_icon_info_new), (gnome_theme_icon_info_find),
	(gnome_theme_icon_info_find_all), (gnome_theme_cursor_info_new),
	(gnome_theme_cursor_info_find), (gnome_theme_cursor_info_find_all),
	(gnome_theme_meta_info_new), (gnome_theme_meta_info_free),
	(gnome_theme_meta_info_find), (gnome_theme_meta_info_find_all),
	(gnome_theme_color_scheme_parse), (gnome_theme_init):
	* gnome-theme-info.h: Use CursorThemeCommonInfo wherever possible,
	remove some unused code.

2007-10-27  Jens Granseuer  <jensgr@gmx.net>

	* gnome-theme-info.c: (look_for_cursor_theme), (read_cursor_fonts),
	(gnome_theme_init): ensure we always have the "default" cursor theme in
	the list

2007-10-27  Jens Granseuer  <jensgr@gmx.net>

	* gnome-theme-info.c (gnome_theme_is_writable):
	* gnome-theme-info.h: move this function to the appearance capplet

2007-10-25  Jens Granseuer  <jensgr@gmx.net>

	* gnome-theme-info.c: (gnome_theme_init): revert this part from the
	last commit since this was already handled by rev 8166

2007-10-25  Denis Washington  <denisw@svn.gnome.org>

	* gnome-theme-apply.c: Fix the cursor size being only being updated
	if the cursor theme changed too.
	* gnome-theme-info.c: Also watch /usr/share/cursors/xorg-x11 for
	cursor themes (path used by Gentoo Linux)

2007-10-24  Jens Granseuer  <jensgr@gmx.net>

	This change hopefully fixes bug #484797 which I suspect is caused by
	the capplet getting stale data from from the themes module which in
	turn is caused by deleted themes being freed but not removed from the
	hash cache.

	* gnome-theme-info.c: (update_common_theme_dir_index): actually remove
	theme data from the hash when the theme gets deleted; also don't
	unconditionally cast to icon theme

2007-10-14  Jens Granseuer  <jensgr@gmx.net>

	* gnome-theme-info.c: (gnome_theme_init): fix invalid use after free I
	caused with the last commit

2007-09-29  Jens Granseuer  <jensgr@gmx.net>

	* theme-thumbnail.c: (generate_gtk_theme_thumbnail),
	(generate_theme_thumbnail_async),
	(generate_gtk_theme_thumbnail_async): move the code for setting the
	color scheme for gtk thumbnails to the gtk-specific function. This
	means we will probably extract it twice for most thumbnails, but it
	makes for much cleaner code. Also add the scheme bit to the synchronous
	version.

2007-09-25  Jens Granseuer  <jensgr@gmx.net>

	* theme-thumbnail.c: patch up an outdated comment about how the
	thumbnailer protocol works

2007-09-25  Jens Granseuer  <jensgr@gmx.net>

 	Prevent lots of thumbs from being created with the color scheme of the
	currently active theme (see comment #15 in bug 460023). Maybe it also
	helps with some of the other color-related issues.

	* theme-thumbnail.c: (create_gtk_theme_pixbuf),
	(generate_theme_thumbnail_async): when creating GTK theme thumbnails,
	explicitly pass the theme's color scheme to override the xsetting

2007-09-16  Jens Granseuer  <jensgr@gmx.net>

	Patch by: Darren Kenny <darren.kenny@sun.com>

	* theme-thumbnail.c: (generate_meta_theme_thumbnail_async),
	(generate_gtk_theme_thumbnail_async),
	(generate_metacity_theme_thumbnail_async),
	(generate_icon_theme_thumbnail_async): don't return values from void
	functions. Fixes building with Sun's Forte compiler (bug #473967)

2007-08-23  Jens Granseuer  <jensgr@gmx.net>

	* gnome-theme-info.c: (gnome_theme_is_writable): cast to proper type
	* theme-thumbnail.c: (create_metacity_theme_pixbuf): free the metacity
	theme after use (bug #469531)

2007-08-21  Jens Granseuer  <jensgr@gmx.net>

	* gnome-theme-info.c: (gnome_theme_info_find_by_type_helper):
	Properly check all stored themes if necessary. This fixes cases where
	e.g. a metacity theme in ~/.themes would hide a GTK theme with the
	same name in the system theme dir

2007-08-21  Luca Cavalli <loopback@slackit.org>

	* file-transfer-dialog.c: (format_uri_for_display),
	(file_transfer_dialog_set_prop): add new function similar to
	gnome_vfs_format_uri_for_display but that hides the password if
	needed. Taken from gedit by Paolo Maggi. Closes bug #339551.

2007-08-20  Matthias Clasen <mclasen@redhat.com>

	Fixes #467552

	* gnome-theme-info.c (gnome_theme_init): avoid double-freed for cursor
	theme infos.

2007-08-17  Jens Granseuer  <jensgr@gmx.net>

	* gnome-theme-info.c: (read_cursor_fonts): fix double-free, and make
	the builtins non-static to save relocations

2007-08-17  Jens Granseuer  <jensgr@gmx.net>

	* gnome-theme-info.c: (read_cursor_fonts): don't leak the cursor font

2007-08-12  Jens Granseuer  <jensgr@gmx.net>

	* theme-thumbnail.c: (create_folder_icon),
	(create_gtk_theme_pixbuf), (handle_bytes), (message_from_capplet),
	(message_from_child), (read_pixbuf), (generate_theme_thumbnail):
	various small tweaks and optimizations

2007-08-08  Jens Granseuer  <jensgr@gmx.net>

	* theme-thumbnail.c: (create_meta_theme_pixbuf):
	Create the icon theme representative before the GTK stock button. Since
	we explicitly set the icon theme for the first, this ensures both are
	drawn with the same icon theme. Before it was possible when changing
	icon themes (especially on slower machines) that the GtkSettings were
	not yet updated and the stock button still used the old theme.

2007-08-07  Jens Granseuer  <jensgr@gmx.net>

	* gnome-theme-info.c: (read_cursor_theme): make sure we don't run off
	the end of the array

2007-08-07  Jens Granseuer  <jensgr@gmx.net>

	* gnome-theme-info.c: (read_cursor_theme),
	(gnome_theme_cursor_info_free): copy the name for the default cursor,
	too, lest we crash on free, and only unref the thumbnail if we have
	one

2007-08-04  Denis Washington  <denisw@svn.gnome.org>

	* gnome-theme-info.c: (read_cursor_theme), (look_for_cursor_theme):
	Also load the "default" cursor theme as GnomeThemeCursorInfo so
	we know about the available sizes. (bug #462409)

2007-08-03  Jens Granseuer  <jensgr@gmx.net>

	* theme-thumbnail.c: reduce metatheme thumbnail size to 128x128

2007-08-02  Jens Granseuer  <jensgr@gmx.net>

	* gnome-theme-info.c: (gnome_theme_color_scheme_parse): no need for an
	expensive parse to initialize the colors

2007-08-02  Jens Granseuer  <jensgr@gmx.net>

	* theme-thumbnail.c: (generate_metacity_theme_thumbnail),
	(generate_icon_theme_thumbnail): don't generate GTK thumbnails when we
	want metacity or icon (bug #462724)

2007-07-30  Jens Granseuer  <jensgr@gmx.net>

	* gnome-theme-info.c: (gnome_theme_color_scheme_parse),
	(gnome_theme_color_scheme_equal):
	* gnome-theme-info.h: add symbolic colors enum and use it

2007-07-30  Thomas Wood  <thos@gnome.org>

	* gnome-theme-info.c: (gnome_theme_color_scheme_parse): Add tooltip foreground
	and background colours to the list of recognised symbolic colours.

2007-07-29  Thomas Wood  <thos@gnome.org>

	* gnome-theme-info.c: (gnome_theme_read_meta_theme): Expand check for empty
	metatheme colour scheme to include blank colour scheme strings.

2007-07-29  Thomas Wood  <thos@gnome.org>

	* gnome-theme-apply.c: (gnome_meta_theme_set):
	* gtkrc-utils.c: (gtkrc_get_details), (gtkrc_get_color_scheme):

	Prevent some memory leaks

2007-07-28  Denis Washington  <denisw@svn.gnome.org>

	* gnome-theme-info.h:
	* gnome-theme-info.c: (look_in_cursor_theme),
	(gnome_theme_cursor_info_free):
	Read a cursor theme's name from it's index.theme file if it has one.

2007-07-28  Denis Washington  <denisw@svn.gnome.org>

	* gnome-theme-info.c: (read_icon_theme):
	Prevent cursor themes from being recognized as icon themes.

2007-07-28  Thomas Wood  <thos@gnome.org>

	* gnome-theme-info.h: Add missing include

2007-07-26  Jens Granseuer  <jensgr@gmx.net>

	* gconf-property-editor.c: (peditor_tree_view_widget_changed),
	(gconf_peditor_new_tree_view): connect to the GtkTreeViewSelection::changed
	signal instead of GtkTreeView::cursor_changed, so we actually get notified
	whenever the selection changes

2007-07-26  Jens Granseuer  <jensgr@gmx.net>

	* gnome-theme-info.c: (gnome_theme_read_meta_theme),
	(gnome_theme_color_scheme_parse), (gnome_theme_color_scheme_equal):
	* gnome-theme-info.h:
	* gtkrc-utils.c: (str_nequal), (gtkrc_get_color_scheme),
	(gtkrc_get_color_scheme_for_theme):
	* gtkrc-utils.h: move some utility code here from appearance

	* gnome-theme-apply.c: (gnome_meta_theme_set): when applying a metatheme,
	check whether to set/unset the color scheme gconf key (should fix bug
	#421866)

2007-07-25  Denis Washington <denisw@svn.gnome.org>

	* gnome-theme-apply.c: (gnome_meta_theme_set):
	* gnome-theme-info.c: (add_common_icon_theme_dir_monitor),
	(gnome_theme_init):
	* gnome-theme-info.h:
	Re-add basic support for cursor themes for X servers without the Xcursor
	extension, like the one on Solaris.

2007-07-25  Denis Washington <denisw@svn.gnome.org>

	* gnome-theme-info.h:
	* gnome-theme-info.c: (gnome_theme_read_meta_theme):
	* gnome-theme-apply.c: (gnome_meta_theme_set):
	Add support for cursor theme names saved in metathemes.

2007-07-25  Denis Washington <denisw@svn.gnome.org>

	* gnome-theme-info.c: (add_common_icon_theme_dir_monitor),
	(look_for_cursor_theme):
	Fix abug introduced by the changes in revision 7856 which caused
	cursor themes to not being found anymore.

2007-07-13  Jens Granseuer  <jensgr@gmx.net>

	* gnome-theme-info.c: (gdk_pixbuf_from_xcursor_image),
	(look_for_cursor_theme), (add_common_icon_theme_dir_monitor),
	(gnome_theme_cursor_info_new): general cleanup and leak-plugging
	* gnome-theme-test.c: (main): add cursor theme info

2007-07-13  Frederic Crozat  <fcrozat@mandriva.com>

	* gnome-theme-info.c: (look_for_cursor_theme):
	Fix crash when no cursor is specified in theme (fixes bug #455952).

2007-07-08  Jens Granseuer  <jensgr@gmx.net>

	* gnome-theme-info.h: include gdk-pixbuf.h (fixes bug #454634)

2007-07-05  Denis Washington  <denisw@svn.gnome.org>

	* gnome-theme-info.[ch]:
	Add support for cursor themes (GnomeThemeCursorInfo); probably still a bit
	rough around the edges, but it works.

2007-07-01  Jens Granseuer  <jensgr@gmx.net>

	* gconf-property-editor.c: (peditor_string_value_changed),
	(peditor_color_value_changed): add safeguards for NULL values (closes
	bug #441036)

2007-06-29  Jens Granseuer  <jensgr@gmx.net>

	* gconf-property-editor.c: (peditor_string_value_changed): compare the
	string from the widget against the converted gconf value, not the
	unmodified one

2007-06-26  Michael Terry  <mike@mterry.name>

	* capplet-util.c, Makefile.am: Drastically simplify capplet_set_icon()
	to only look in the icon theme. Part of bug #450777.

2007-06-25  Denis Washington  <denisw@svn.gnome.org>

	* theme-thumbnail.[ch]:
	Generate all types of thumbnails in a seperate process, not just those for
	metathemes.

2007-06-22  Denis Washington  <denisw@svn.gnome.org>

	* theme-thumbnail.c: (create_image):
	Make metatheme thumbnails original-sized and add check box + radio button.

2007-06-20  Jens Granseuer  <jensgr@gmx.net>

	* gnome-theme-info.c: (gnome_theme_icon_info_find,
	gnome_theme_is_writable):
	* gnome-theme-info.h: fix function signatures

2007-06-18  Jens Granseuer  <jensgr@gmx.net>

	* Makefile.am: remove obsolete files

2007-06-12  Jens Granseuer  <jensgr@gmx.net>

	* gnome-theme-info.c: (gnome_theme_icon_info_free): plug leak
	* theme-thumbnail.c: (message_from_child): fix comment

2007-06-09  Denis Washington  <denisw@svn.gnome.org>

	* theme-thumbnail.c: (generate_gtk_theme_thumbnail):
	Stop the GdkDisplay mess and let gnome-appearance-properties handle
	gtk+ theme changes manually instead.

2007-06-10  Jens Granseuer  <jensgr@gmx.net>

	* gtkrc-utils.c: (gtkrc_get_details), (gtkrc_get_color_scheme):
	make it possible to skip engine information if we're not interested
	and fix a warning

2007-06-10  Jens Granseuer  <jensgr@gmx.net>

	* gnome-theme-apply.c: (gnome_meta_theme_set): add some more checks so
	we don't try to strcmp NULL strings (fixes bug #445908)

2007-06-09  Denis Washington  <denisw@svn.gnome.org>

	* theme-thumbnail.c: (generate_gtk_theme_thumbnail):
	Fix the appearance capplet windows not reacting to gtk+ theme changes.

2007-06-07  Jens Granseuer  <jensgr@gmx.net>

	* gnome-theme-info.c: (handle_change_signal),
	(gnome_theme_is_writable),
	(gnome_theme_info_register_theme_change):
	* gnome-theme-info.h:
	modify the theme change callback to return more useful
	information and add a function to determine whether a given
	theme is writable

2007-06-06  Jens Granseuer  <jensgr@gmx.net>

	* Bonobo_Control_Capplet_generic.oaf.in:
	* wrapper-script.in: remove obsolete files

2007-06-06  Jens Granseuer  <jensgr@gmx.net>

	* theme-thumbnail.c: (message_from_child),
	(generate_theme_thumbnail), (generate_theme_thumbnail_async),
	(theme_thumbnail_factory_init):
	* theme-thumbnail.h: remove caching from the thumbnailer since
	all of the current users work around it anyway, and resources
	aren't managed properly

2007-06-06  Jens Granseuer  <jensgr@gmx.net>

	* gnome-theme-info.c: (safe_strcmp), (get_data_from_hash_by_name),
	(read_icon_theme), (handle_change_signal), (update_theme_index),
	(gnome_theme_meta_info_compare):
	* gnome-theme-info.h: some more house-keeping

2007-06-06  Jens Granseuer  <jensgr@gmx.net>

	* theme-thumbnail.c: (generate_theme_thumbnail_async):
	* theme-thumbnail.h: add a parameter to circumvent the internal
	thumbnail cache to the asynchronous generator

2007-05-30  Jens Granseuer  <jensgr@gmx.net>

	* gnome-theme-info.c: (safe_strcmp), (add_data_to_hash_by_name),
	(handle_change_signal), (update_common_theme_dir_index),
	(gtk2_dir_changed), (keybinding_dir_changed),
	(metacity_dir_changed), (common_theme_dir_changed),
	(common_icon_theme_dir_changed), (top_theme_dir_changed),
	(top_icon_theme_dir_changed), (real_add_top_theme_dir_monitor),
	(gnome_theme_info_find_by_type_helper),
	(gnome_theme_info_find_by_type),
	(gnome_theme_icon_info_find_all_helper),
	(gnome_theme_icon_info_find_all), (gnome_theme_icon_info_compare),
	(gnome_theme_meta_info_new),
	(gnome_theme_meta_info_find_all_helper),
	(gnome_theme_meta_info_find_all), (gnome_theme_meta_info_compare),
	(gnome_theme_info_register_theme_change): simplify, clean up, and fix
	a few leaks

2007-05-29  Jens Granseuer  <jensgr@gmx.net>

	* gtkrc-utils.c: (gtkrc_get_color_scheme): recognize both
	"gtk-color-scheme" and "gtk_color_scheme" (fixes thumbnail generation
	for e.g. the Mist metatheme)

2007-05-28  Jens Granseuer  <jensgr@gmx.net>

	* gconf-property-editor.c:
	* gconf-property-editor.h: remove property editor for the deprecated
	GtkOptionMenu, now that all users are upgraded to GtkComboBox

2007-05-28  Jens Granseuer  <jensgr@gmx.net>

	* theme-thumbnail.c: (generate_theme_thumbnail): drop unnecessary strlen
	(generate_theme_thumbnail_async): save some casts
	(generate_gtk_theme_thumbnail): don't leak the theme name

2007-05-25  Jens Granseuer  <jensgr@gmx.net>

	* gnome-theme-info.c: (read_icon_theme):
	* gnome-theme-info.h:
	add a "readable_name" property for icon themes, and make sure "name"
	points to the internal theme name

2007-05-25  Denis Washington  <denisw@svn.gnome.org>

	* theme-thumbnail.c:
	Make gtk+ theme previews more compact.

2007-05-25  Denis Washington  <denisw@svn.gnome.org>

	* theme-thumbnail.[ch]:
	Add functions to generate thumbnails for specific types of themes, for
	instance a metacity theme thumbnail.

2007-05-24  Denis Washington  <denisw@svn.gnome.org>

	* gconf-property-editor.c: (peditor_tree_view_widget_changed):
	Scroll to new selected cell if the gconf value changes.

2007-05-23  Jens Granseuer  <jensgr@gmx.net>

	* wm-common.c: (wm_common_get_current_window_manager): make sure we
	always return a copy of the window manager name, not a static string
	(fixes bug #439244)

2007-05-19  Jens Granseuer  <jensgr@gmx.net>

	* gconf-property-editor.c: (peditor_tree_view_widget_changed):
	don't call gconf_value_free with a NULL value

2007-05-18  Jens Granseuer  <jensgr@gmx.net>

	* gconf-property-editor.c: (peditor_boolean_value_changed),
	(peditor_integer_value_changed), (peditor_string_value_changed),
	(peditor_color_value_changed), (peditor_select_menu_value_changed),
	(peditor_combo_box_value_changed),
	(peditor_select_radio_value_changed),
	(peditor_numeric_range_value_changed),
	(peditor_font_value_changed), (peditor_image_value_changed),
	(gconf_peditor_new_select_radio_with_enum),
	(peditor_tree_view_value_changed),
	(peditor_tree_view_widget_changed), (gconf_peditor_new_tree_view):
	* gconf-property-editor.h: add a property editor for GtkTreeView
	and fix crashes with all peditors if the requested key is not
	available

2007-05-09  Jens Granseuer  <jensgr@gmx.net>

	* gnome-theme-info.c: (gnome_theme_read_meta_theme):
	* gtkrc-utils.c: (gtkrc_find_named), (gtkrc_get_color_scheme): fix
	memory leaks

	* gnome-theme-test.c: (main): init g_thread

2007-05-09  Jens Granseuer  <jensgr@gmx.net>

	* gconf-property-editor.c: (gconf_peditor_new),
	(gconf_peditor_new_boolean), (gconf_peditor_new_integer_valist),
	(gconf_peditor_new_integer), (gconf_peditor_new_string_valist),
	(gconf_peditor_new_string), (gconf_peditor_new_filename),
	(gconf_peditor_new_color), (gconf_peditor_new_select_menu),
	(gconf_peditor_new_select_menu_with_enum),
	(gconf_peditor_new_combo_box),
	(gconf_peditor_new_combo_box_with_enum),
	(gconf_peditor_new_select_radio),
	(gconf_peditor_new_numeric_range), (gconf_peditor_new_font),
	(gconf_peditor_new_enum_toggle), (gconf_peditor_new_image),
	(gconf_peditor_new_select_radio_with_enum):
	* gconf-property-editor.h: constify a number of function arguments

2007-05-08  Jens Granseuer  <jensgr@gmx.net>

	* gconf-property-editor.c: (peditor_set_gconf_value),
	(peditor_combo_box_widget_changed):
	add support for unsetting GConf values if the conversion handlers return
	null, and use it for the combo box editor

2007-05-01  Jens Granseuer  <jensgr@gmx.net>

	* gconf-property-editor.c: (peditor_combo_box_value_changed),
	(peditor_combo_box_widget_changed), (gconf_peditor_new_combo_box),
	(gconf_peditor_new_combo_box_with_enum):
	* gconf-property-editor.h: add GConfPropertyEditor support for GtkComboBox

2007-03-04  Thomas Wood  <thos@gnome.org>

	* gnome-theme-info.c: (gnome_theme_read_meta_theme): Don't try and open null
	filenames
	* theme-thumbnail.c: (message_from_capplet): Reset the gtk_color_scheme after
	a thumbnail has been generated.

2007-03-04  Thomas Wood  <thos@gnome.org>

	* Makefile.am:
	* gtkrc-utils.c: (gtkrc_get_details):
	* gtkrc-utils.h:
	Move gtkrc-utils from theme-switcher to here.

	* gnome-theme-info.c: (gnome_theme_read_meta_theme): Search the gtkrc for
	the colour scheme if none was found in the metatheme file. Fixes a problem
	when comparing two metathemes which only differ by the colour scheme setting.

2007-02-28  Thomas Wood  <thos@gnome.org>

	* gnome-theme-apply.c: (gnome_meta_theme_set): Set the gtk-color-scheme even
	if it is blank.
	* theme-thumbnail.c: (create_image), (handle_bytes),
	(generate_theme_thumbnail), (generate_theme_thumbnail_async),
	(theme_thumbnail_factory_init): Set the gtk-color-scheme when creating the
	thumbnail.

2007-01-29  Kjartan Maraas  <kmaraas@gnome.org>

	* theme-thumbnail.c: Mark some stuff as static.

2007-01-19  Thomas Wood  <thos@gnome.org>

	* gnome-theme-apply.c: (gnome_meta_theme_set):
	* gnome-theme-info.c: (gnome_theme_read_meta_theme),
	(gnome_theme_meta_info_new), (gnome_theme_meta_info_free),
	(gnome_theme_meta_info_print), (gnome_theme_meta_info_compare):
	* gnome-theme-info.h:

	Add support for saving and applying the gtk-color-scheme key

2007-01-14  Thomas Wood  <thos@gnome.org>

	* theme-thumbnail.c: (generate_theme_thumbnail): Remove
	g_return_if_fail_warning as this doesn't need to be a critical
	warning. Fixes bug 353620.

2007-01-11  Thomas Wood  <thos@gnome.org>

	* gnome-theme-info.c: (update_common_theme_dir_index): Applied patch
	from Priit Laes <amd@store20.com>. Fixes bug 349471 (Crash on manually
	changing the icon theme name).

2007-01-06  Lucas Rocha <lucasr.at.mundo@gmail.com>

	Fixes #336286

	* capplet-util.c (capplet_init): switched from popt to GOptionContext.

2007-01-05  Christian Persch <chpe@gnome.org>

	Fixes #393117

	* gnome-theme-info.c (read_icon_theme): fixed leak.

2006-12-08  Kjartan Maraas  <kmaraas@gnome.org>

	* file-transfer-dialog.c: (file_transfer_dialog_init):
	Pass NULL to gtk_label_new() to do a bit less work.
	Bug #376949.	

2006-11-01  Thomas Wood  <thos@gnome.org>

	* file-transfer-dialog.c: (file_transfer_dialog_update_num_files),
	(file_transfer_dialog_set_prop), (file_transfer_dialog_class_init),
	(file_transfer_dialog_init),
	(file_transfer_dialog_new_with_parent),
	(file_transfer_dialog_update_cb):
	* file-transfer-dialog.h:

	Clean up file transfer dialog. Closes bug 319926 (Wrong path displayed
	on icon theme installation).

2006-09-30  Thomas Wood  <thos@gnome.org>

	* theme-thumbnail.c: (create_image): Set the gtk icon theme setting.
	Fixes bug 355268 - "Open" icon on button preview not working

2006-08-17  Thomas Wood  <thos@gnome.org>

	* capplets/common/theme-thumbnail.c: (fake_expose_widget),
	(hbox_foreach), (create_image): Modified patch from bug 351378.
	Fixes bug 351378 and bug 171634.

2006-07-23  Sebastien Bacher  <seb128@debian.org>

	* gconf-property-editor.c: (peditor_color_value_changed),
	(peditor_color_widget_changed), (gconf_peditor_new_color):
	patch by Kevin Bauder <kevin.bauder@gmail.com>,
	"Replaced deprecated GnomeColorPicker with GtkColorButton."
	(Closes: #171680)

2006-07-05  Sergey Udaltsov <svu@gnome.org>

	* Makefile.am, added DBUS_LIBS, closing #346442

2006-06-23  Sergey Udaltsov <svu@gnome.org>

	* Makefile.am, activate-settings-daemon.c: g-s-d activation is based
	on DBUS now.

2006-03-29  Arjan Timmerman <arjani@soulfly.nl>

	Fixes #334153

	* activate-settings-daemon.c (activate_settings_daemon): fixed leaked
	CORBA_environment and removed extra if statement.

2006-03-23  Rodrigo Moya <rodrigo@novell.com>

	* activate-settings-daemon.c (popup_error_message): use gtk_dialog_run,
	we want the dialog to show up for more than less than a second.

2006-01-23  Thomas Wood  <thos@gnome.org>

	* file-transfer-dialog.c: (create_titled_label): Prevent a
	Gtk-CRITICAL error

2006-01-22  Rodrigo Moya <rodrigo@novell.com>

	Fixes #168790

	* capplet-stock-icons.c (capplet_register_stock_icons): don't use
	"capplet" in user-visible strings.

2005-11-14  Kjartan Maraas  <kmaraas@gnome.org>

	* capplet-stock-icons.c: (capplet_register_stock_icons): Remove
	unused variable.
	* file-transfer-dialog.c: (file_transfer_dialog_update_num_files):
	Fix format specifiers.
	* gconf-property-editor.c: Mark some functions static.
	* gnome-theme-info.c: (top_theme_dir_changed),
	(top_icon_theme_dir_changed): Remove unused code.

2005-10-11  Muktha  <muktha.narayan@wipro.com>

	* gnome-theme-info.h:
	* gnome-theme-info.c (gnome_theme_read_meta_theme)
	(gnome_theme_meta_info_free) (gnome_theme_meta_info_print)
	(gnome_theme_meta_info_compare): Update the desktop font in 
	addition to the application font when 'apply font' in large print
	themes is selected. Fixes #123551.
 
2005-08-14  Rodney Dawes  <dobey@novell.com>

	* theme-thumbnail.c (create_image): Get the Example icon that is
	specified by the icon theme, if it exists, and then fall back through
	a better list of icons to use. Gnome uses gnome-fs-directory currently
	for folders, so we should prefer that over folder, but the icon naming
	spec lists x-directory-normal for standard folders, so we should prefer
	that above other folders

	This fixes issues with the wrong icon being drawn in the thumbnail, due
	to the icon theme providing the gnome folder icon, but inheriting from
	another theme which provides a different icon named "folder" for KDE or
	other desktops

2005-07-27  Sebastien Bacher  <seb128@debian.org>

	* capplet-util.c: (capplet_set_icon): set a default icon for capplets, 
	patch by Jaap A. Haitsma <jaap@haitsma.org> (Closes: #305086).

2005-07-11  Rodney Dawes  <dobey@novell.com>

	* capplet-util.c (capplet_set_icon): Remove the unref call on the
	GtkIconTheme object to avoid crashing

	Fixes #310037

2005-07-10  Rodney Dawes  <dobey@novell.com>

	* capplet-util.c (capplet_set_icon): Update to use the GtkIconTheme
	API instead of the deprecated GnomeIconTheme API
	Based on patch from Jan de Groot

	Fixes #171679

2005-06-30  William Jon McCann  <mccann@jhu.edu>

	* file-transfer-dialog.c: Don't include gnome.h
	(file_transfer_dialog_update_num_files) 
	(file_transfer_dialog_set_prop, eel_gtk_label_make_bold) 
	(create_titled_label, file_transfer_dialog_init) 
	(file_transfer_dialog_update_cb):
	HIG updates and make consistent with nautilus transfer
	progress dialog.

2005-03-02  Shakti Sen  <shprasad@novell.com>

	* gnome-theme-info.c (read_icon_theme): Do not add the Icon Theme if
	the key 'Hidden' is 'true' in the index.theme file.

	Fixes bug #168348

2005-05-22  Sebastien Bacher  <seb128@debian.org>

	* gconf-property-editor.c: (peditor_font_value_changed),
	(peditor_font_widget_changed), (gconf_peditor_new_font):
	* gconf-property-editor.h: 
	port of the font capplet to gtk_font_button and some cleanup, 
	patch from paolo borelli <pborelli@katamail.com> (Closes: #160016).

2005-05-22  Sebastien Bacher  <seb128@debian.org>

	* theme-thumbnail.c: (create_image): fix the theme preview crasher with
	xorg/composite, patch from Colin Gibbs <colin@gibbsonline.net>
	(Closes: #152490).

2005-02-08  Sebastien Bacher  <seb128@debian.org>

	* gnome-theme-info.c: (update_common_theme_dir_index):
	* theme-thumbnail.c: (create_image):
	patch by Kjartan Maraas <kmaraas@gnome.org>, move to use GtkIconTheme
	and remove a load of leaks in the theme manager code (Closes: #166267).

2005-02-03  Kjartan Maraas  <kmaraas@gnome.org>

	* gnome-theme-info.c: (update_theme_index),
	(top_theme_dir_changed), (top_icon_theme_dir_changed),
	(real_add_top_theme_dir_monitor): Revert the previous
	two commits. It looks like the fix in gnome-vfs to make
	sure gnome_vfs_uri_extract_short_name() doesn't return
	NULL was what we really needed. Please retest to see if
	you can still reproduce the crashes in the theme-manager
	after this change and with the latest gnome-vfs from CVS.

2005-02-02  Kjartan Maraas  <kmaraas@gnome.org>

	* gnome-theme-info.c: (update_theme_index),
	(real_add_top_theme_dir_monitor): More bandaids for test
	purposes.

2005-01-27  Kjartan Maraas  <kmaraas@gnome.org>

	* gnome-theme-info.c: (top_theme_dir_changed),
	(top_icon_theme_dir_changed), (real_add_top_theme_dir_monitor):
	Try to fix bug #149236 by not freeing stuff already being free'd
	by the hash destroy_func. It will leak a bit more, but that can
	be fixed later. Please test this and report success in the report
	mentioned above.

2005-01-02  Thomas Cataldo  <thomas.cataldo@aliacom.fr>

	* gconf-property-editor.c: (gconf_property_editor_finalize): plug
	gconf key leak.

2004-11-24  Kjartan Maraas  <kmaraas@gnome.org>

	* activate-settings-daemon.c: (popup_error_message):
	ANSIfication.

2004-10-14  Jody Goldberg <jody@gnome.org>

	* Release 2.8.1

2004-04-15  Jody Goldberg <jody@gnome.org>

	* Release 2.6.1

2004-04-07  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=130623
	* capplet-util.c (capplet_set_icon) : respect the icon theme

2004-04-01  Jody Goldberg <jody@gnome.org>

	* Release 2.6.0.3

2004-03-30  Jody Goldberg <jody@gnome.org>

	* Release 2.6.0.1

2004-03-23  Jody Goldberg <jody@gnome.org>

	* Release 2.6.0

2004-03-11  Jody Goldberg <jody@gnome.org>

	* Release 2.5.4

2004-02-16  Jody Goldberg <jody@gnome.org>

	* gconf-property-editor.c (peditor_image_clicked_cb) : Use the monitor
	  size kludge for the vertical size of the new file selector.

2003-12-07  Jan Arne Petersen  <jpetersen@uni-bonn.de>

	* gconf-property-editor.c: (peditor_image_set_filename),
	(peditor_image_chooser_response_cb),
	(peditor_image_chooser_update_preview_cb),
	(peditor_image_clicked_cb): replace
	PreviewFileSelection (GtkFileSelection) with GtkFileChooser, use new
	gdk_pixbuf_new_from_file_at_size method to load a scaled image.

2004-02-13  Jody Goldberg <jody@gnome.org>

	* Release 2.5.3

2004-01-14  Jody Goldberg <jody@gnome.org>

	* Release 2.5.2

2003-12-30  Jody Goldberg <jody@gnome.org>

	* Release 2.5.1.1

2003-12-30  Jody Goldberg <jody@gnome.org>

	* Release 2.5.1

2003-10-28  Jody Goldberg <jody@gnome.org>

	* Release 2.5.0

Thu Aug  7 15:23:08 2003  Jonathan Blandford  <jrb@redhat.com>

	* gconf-property-editor.c (gconf_property_editor_set_prop): damn
	it Jonathan.  Save the @#*&$@# file before committing.

Mon Aug  4 14:35:22 2003  Jonathan Blandford  <jrb@redhat.com>

	* gconf-property-editor.c (gconf_property_editor_init): Reset the
	old connection when setting a new one, #116232

2003-07-07  Jody Goldberg <jody@gnome.org>

	* Release 2.3.4

2003-07-03  Kjartan Maraas  <kmaraas@gnome.org>

	* gconf-property-editor.c: (gconf_property_editor_finalize):
	Merge Anders' fix from stable.

2003-07-02  Mark McLoughlin  <mark@skynet.ie>

	Handle crashes of the thumbnailer child process a
	little more gracefully.

	* theme-thumbnail.c:
	(generate_theme_thumbnail): if we get an EOF from
	the child close the pipe, return NULL and return
	NULL from any subsequent calls.
	(generate_theme_thumbnail_async): return NULL if
	the pipe has been closed.
	(theme_thumbnail_factory_init): set pipe descriptos
	to zero after closing them.

2003-06-24  Jody Goldberg <jody@gnome.org>

	* Release 2.3.3

2003-05-13  Andrew Sobala  <aes@gnome.org>

	* Makefile.am: build fixes for the below
	* gnome-theme-apply.c: pulled out from gnome-theme-manager.c
	* gnome-theme-apply.h: pulled out from gnome-theme-manager.c
	* theme-thumbnail.c: moved to libcommon
	* theme-thumbnail.h: moved to libcommon

2003-05-07  Jody Goldberg <jody@gnome.org>

	* Release 2.3.1

2003-05-01  Ross Burton  <ross@burtonini.com>

	* gnome-theme-info.c (real_add_top_theme_dir_monitor):
	Monitor directories and symbolic links instead of just
	directories. Fixes #111990.

2003-04-29  Kjartan Maraas  <kmaraas@gnome.org>

	* gconf-property-editor.c: (gconf_peditor_new): Plug a leak
	* gnome-theme-info.c: (top_theme_dir_changed),
	(top_icon_theme_dir_changed), (real_add_top_theme_dir_monitor):
	Plug leaks and fix invalid reads reported by valgrind.

2003-03-27  Andrew Sobala  <aes@gnome.org>

	* gnome-theme-info.c: (gnome_theme_read_meta_theme),
	(update_common_theme_dir_index):
	s/read_meta_theme/gnome_theme_read_meta_theme/; enable the reading of
	themes that just use [X-GNOME-Metatheme] without pretending to be a
	.desktop file
	* gnome-theme-info.h: exposed gnome_theme_read_meta_theme

Tue Feb  4 17:09:18 2003  Jonathan Blandford  <jrb@redhat.com>

	* Release 2.2.0.1

2003-02-03  Kjartan Maraas  <kmaraas@gnome.org>

	* gnome-theme-info.c (read_meta_theme): Fix a glaring bug
	that caused the theme descriptions etc not to be localised.
	Fix from Dmitry G. Mastrukov <dmitry@taurussoft.org>. Fixes
	#104296
	
2003-01-27  Bastien Nocera  <hadess@hadess.net>

	* gnome-theme-test.c: (main): C ninety what ?

Tue Jan 21 01:15:14 2003  Jonathan Blandford  <jrb@gnome.org>

	* Release 2.2.0

Sun Jan 19 02:14:35 2003  Jonathan Blandford  <jrb@gnome.org>

	* gnome-theme-test.c (main): add more debugging output.

Thu Jan 16 15:51:33 2003  Jonathan Blandford  <jrb@redhat.com>

	* gnome-theme-test.c: new little test program for helping people
	debug their installation.

Thu Jan 16 02:41:09 2003  Jonathan Blandford  <jrb@gnome.org>

	* Release 2.1.7

Wed Jan 15 20:16:21 2003  Jonathan Blandford  <jrb@redhat.com>

	* gnome-theme-info.c (remove_data_from_hash_by_name): call
	correctly in all the right places.

Mon Jan 13 15:04:47 2003  Jonathan Blandford  <jrb@redhat.com>

	* gnome-theme-info.c: rewrote to handle fam more correctly.  Still
	a little broken in places, but much, much better than before.

2003-01-10  Jody Goldberg <jody@gnome.org>

	* Release 2.1.6

2002-12-28  Seth Nickell  <snickell@stanford.edu>

	* Makefile.am:
	* gnome-theme-info.c: (gnome_theme_info_init):

	Update icon theme directory code so it looks in
	PREFIX/share/icons rather than PREFIX/share/theme,
	as per freedesktop icon spec.

2002-12-18  Jody Goldberg <jody@gnome.org>

	* Release 2.1.5

Fri Dec  6 16:13:54 2002  Jonathan Blandford  <jrb@redhat.com>

	* gnome-theme-info.c (top_theme_dir_changed_callback): I know C.
	Really, I do.

2002-11-23  Jody Goldberg <jody@gnome.org>

	* Release 2.1.3

Tue Nov  5 15:48:33 2002  Jonathan Blandford  <jrb@gnome.org>

	* gnome-theme-info.c: Change the file format a bunch.

2002-11-02  Jody Goldberg <jody@gnome.org>

	* Release 2.1.2

Fri Nov  1 11:03:34 2002  Jonathan Blandford  <jrb@gnome.org>

	* gnome-theme-info.[ch]: Moved theme-common, and gave more
	features.

2002-10-21  Jody Goldberg <jody@gnome.org>

	* Release 2.1.1

2002-10-01  Jody Goldberg <jody@gnome.org>

	* Release 2.1.0.1

2002-08-21  Jody Goldberg <jody@gnome.org>

	* Release 2.1.0

2002-07-16  Jody Goldberg <jody@gnome.org>

	* gconf-property-editor.c (gconf_value_int_to_float) : add a peditor
	  arg so that these can be used without wrappers.
	(gconf_value_float_to_int) : ditto.

2002-07-10  Jody Goldberg <jody@gnome.org>

	* capplet-util.c (capplet_set_icon) : look in more places.

2002-07-02  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=86018
	* gconf-property-editor.c (peditor_image_set_filename) : Patch from
	  Chema.  We should only assign the filename to the label if the file
	  is valid.

2002-06-27  Jody Goldberg <jody@gnome.org>

	* capplet-util.c (capplet_set_icon) : new util.

2002-06-21  Stephen Browne <stephen.browne@sun.com>

	* wm-common.[ch] : added new files to expose
	wm_common_get_current_window_manager and 
	wm_common_register_window_manager_change

2002-06-13  Jody Goldberg <jody@gnome.org>

	* capplet-util.c (capplet_help) : Use the new utility.
	(capplet_error_dialog) : split out into a new utility.

2002-06-17  Jody Goldberg <jody@gnome.org>

	* Release 2.0.0

2002-05-28 Satyajit Kanungo <satyajit.kanungo@wipro.com>

	* capplet-util.c : capplet_help () The Help directory is changed to 
	  user-guide. 		

2002-05-26  Jody Goldberg <jody@gnome.org>

	* capplet-util.c (capplet_help) : new utility.

2002-05-16  jacob berkman  <jacob@ximian.com>

	* gconf-property-editor.c (peditor_image_set_filename): if we
	haven't been initting, don't pop up an error message.  if we are,
	set our image to GTK_STOCK_MISSING_IMAGE.  fixes bug exposed by
	fix for #76993

Tue May 14 12:08:17 2002  Jonathan Blandford  <jrb@redhat.com>

	* theme-common.c (theme_common_init): confirm that the ~/.themes/
	directory exists.

2002-04-29  Rachel Hestilow  <hestilow@ximian.com>

	* file-transfer-dialog.c (file_transfer_dialog_update_cb):
	Set dialog title to current phase.
	
2002-04-29  Rachel Hestilow  <hestilow@ximian.com>

	* file-transfer-dialog.[ch]: Added.
	
	* Makefile.am: Compile file-transfer-dialog.[ch].

2002-04-19  Mark McLoughlin  <mark@skynet.ie>

	* gconf-property-editor.[ch]: (peditor_integer_value_changed),
	(peditor_integer_widget_changed), (gconf_peditor_new_integer_valist),
	(gconf_peditor_new_integer): implement GtkEntry based integer
	peditor.

2002-04-21  Rachel Hestilow  <hestilow@ximian.com>

	* gconf-property-editor.c
	(gconf_peditor_new_select_menu_with_enum,
	 gconf_peditor_new_enum_toggle,
	 gconf_peditor_new_select_radio_with_enum): Add in an explicit
	 'use_nick' parameter. Implicit guessing can break badly if
	 the gconf data gets corrupted.
	(peditor_enum_int_from_string): Change use_nick to copy-by-value,
	do not try to guess it.
	(peditor_enum_conv_to_widget, guard_get_bool,
	 peditor_enum_toggle_conv_to_widget): Do not pass in use_nick
	 as a reference.

Thu Apr 18 17:56:25 2002  Jonathan Blandford  <jrb@redhat.com>

	* theme-common.c: Notify when the theme changes.

2002-04-18  Jody Goldberg <jody@gnome.org>

	* activate-settings-daemon.c (static) : message dialogs must have
	  separators.

2002-04-10  Rachel Hestilow  <hestilow@ximian.com>
	
	* gconf-proprerty-editor.h: Add FontType enum, and a font_type
	parameter to gconf_peditor_new_font.

	* gconf-property-editor.c:
	(peditor_font_value_changed): Call peditor_font_merge_setting
	instead of setting the properties explicitly.
	(peditor_font_widget_changed): Switch on font_type to determine
	what to set for a GConfValue.

2002-03-28  Richard Hestilow  <hestilow@ximian.com>

	* gconf-property-editor.c (peditor_image_clicked_cb): Set
	fsel to modal, it seems to fix a weird grabbing bug.

2003-03-26  Kjartan Maraas  <kmaraas@gnome.org>

	* activate-settings-daemon.c: Fix a string.
	
2002-03-25  Lauris Kaplinski  <lauris@ximian.com>

	* gconf-property-editor.c (gconf_peditor_widget_set_guard): Test for NULL
	gconf value

2002-03-19  Richard Hestilow  <hestilow@ximian.com>

	* Makefile.am: Include libbackground (used for preview-file-selector).
	Change into a libtool library so we can link against libbackground.
	
	* gconf-property-editor.c:
	(peditor_enum_int_from_string): Added argument use_nick; set to true
	if the string was a nick.
	(peditor_enum_string_from_int): Use nick only if use_nick is true.
	(gconf_peditor_new_image): Added.
	(gconf_peditor_new_select_radio_with_enum): Added.
	(peditor_select_radio_value_changed): Reverse radio group.
	(peditor_select_radio_widget_changed): Reverse radio group.

2002-03-17  Kjartan Maraas  <kmaraas@gnome.org>

	* activate-settings-daemon.c: Mark a string. #include <config.h>
	
2002-03-17  Jonathan Blandford  <set EMAIL_ADDRESS environment variable>

	reviewed by: <delete if not using a buddy>

	* Makefile.am:
	* theme-common.c: (themes_common_list_add_dir),
	(theme_common_get_list), (theme_common_list_free):
	* theme-common.h:

2002-03-14  Richard Hestilow  <hestilow@ximian.com>

	* gconf-property-editor.c:
	(gconf_property_editor_new_option_menu_with_enum):
	(gconf_property_editor_new_enum_toggle): Added.
	(gconf_property_editor_new): Accept custom arguments from the
	editor "subclass".
	(gconf_property_editor_class_init): Add arguments "data"
	and "data-free-cb", for custom "subclass" data.
	(gconf_property_editor_finalize): Free custom data.
	(*_new): Add NULL at the end of gconf_property_editor_new.
	(guard_value_changed, peditor_widget_set_guard): Use the
	enum->boolean mapping if the gconf value is a string.

2002-03-10  Seth Nickell  <snickell@stanford.edu>

	* Makefile.am:
	* activate-settings-daemon.c: (popup_error_message),
	(activate_settings_daemon):
	* activate-settings-daemon.h:

	Add new client interface for activating the settings daemon
	if its not already running.
	
2002-02-27  Kjartan Maraas  <kmaraas@gnome.org>

	* capplet-util.c: s/PACKAGE/GETTEXT_PACKAGE/g
	
2002-02-12  Lauris Kaplinski  <lauris@ximian.com>

	* gconf-property-editor.c (peditor_font_value_changed): Kill warning

2002-02-10  Richard Hestilow  <hestilow@ximian.com>

	* gconf-property-editor.[ch]: Added font editor.

Sun Jan  6 02:52:59 2002  Jonathan Blandford  <jrb@redhat.com>

	* gconf-property-editor.c (peditor_select_radio_widget_changed):
	avoid recursive loops by only setting the UI if we're active.

2002-01-05  Bradford Hovinen  <hovinen@ximian.com>

	* gconf-property-editor.c (peditor_*_value_changed): Only remove
	from changeset if the changeset is non-NULL

2002-01-04  Bradford Hovinen  <hovinen@ximian.com>

	* gconf-property-editor.c (peditor_set_gconf_value):
	Implement. Sets the GConf value either in the changeset, or if
	changeset is NULL, directly
	(peditor_*_widget_changed): Use peditor_set_gconf_value
	(gconf_peditor_new_*): Don't complain if changeset is NULL

2001-12-20  Bradford Hovinen  <hovinen@ximian.com>

	* gconf-property-editor.c: Eliminate compiler warnings

	* capplet-util.c: Eliminate compiler warnings

	* gconf-property-editor.c (gconf_peditor_new): Fold the callback
	back in; accept variable argument list with extra parameters
	(gconf_peditor_new_filename): Return the property editor
	(gconf_peditor_new_string_valist): Split this out
	(gconf_peditor_new_string): Call _valist variant
	(gconf_peditor_new*): Update

2001-12-19  Bradford Hovinen  <hovinen@ximian.com>

	* gconf-property-editor.c (gconf_peditor_new_float_range)
	(gconf_peditor_new_int_range): Connect to value_changed signal Add
	properties conv-{to|from}-widget-cb and use those for conversion
	of values to and from the widget
	(peditor_{int|float}_range_value_changed, friends): Combine into
	peditor_numeric_*
	(gconf_peditor_new): Implement. Factor out some common code from
	the various type-specific constructors
	(peditor_*_value_changed): Don't check if the value is the same as
	what is already in the widget; it's not very important
	(peditor_*_value_changed): Remove the key from the changeset
	(gconf_peditor_new_*): Add g_return_val_if_fail macros
	(gconf_peditor_widget_set_guard): Add g_return_if_fail macros
	(gconf_value_float_to_int, gconf_value_int_to_float): Implement
	(gconf_property_editor_set_prop): Store the callback in the
	property editor proper
	(gconf_peditor_new): Put initialization code in an idle handler
	(peditor_string_value_changed): Free the value created from
	conversion
	(init_widget_cb): Return FALSE
	(peditor_*_widget_changed): Just return if we are not fully
	initialized
	(init_widget_cb): Set initialized flag
	(struct _GConfPropertyEditorPrivate): Add inited

	* gconf-property-editor.c: Add ui-control property storing the
	object (normally a widget) that controls the property; remove
	object property and replace its function with ui-control

	* capplet-util.c: Comment out most of this file

	* gconf-property-editor.c (gconf_peditor_new_int_range): Convert
	to ~_float_range
	(gconf_peditor_new_float_range): Add callbacks for conversion
	between widget's values and GConf values in the signature
	(peditor_float_range_widget_changed): Issue callback, if
	available, to convert from widget's values to GConf values
	(peditor_float_range_value_changed): Vice verca above
	(gconf_peditor_new_int_range, peditor_int_range_widget_changed)
	(peditor_int_range_value_changed): Implement. Copy from float
	versions

2001-12-18  Bradford Hovinen  <hovinen@ximian.com>

	* capplet-util.h: Don't #include bonobo*.h

	* gconf-property-editor.c (peditor_string_widget_changed): Use
	actual signature for the changed signal Use gconf_client rather
	than gconf_engine
	(gconf_property_editor_set_prop): Use weak_ref rather than destroy
	signal
	(peditor_int_range_value_changed)
	(peditor_int_range_widget_changed, gconf_peditor_new_int_range):
	Implement

2001-12-17  Bradford Hovinen  <hovinen@ximian.com>

	* gconf-property-editor.c (peditor_color_value_changed): Use a
	local stack variable for the color rather than a pointer. Duh.
	(peditor_select_menu_widget_changed): Use
	gtk_option_menu_get_history
	(peditor_select_menu_widget_changed): Accept option_menu as
	parameter
	(gconf_peditor_new_select_menu): Connect changed signal rather
	than activate signal on the menu items
	(gconf_property_editor_get_key): Implement
	(peditor_color_widget_changed): Use correct signature for the
	signal handler
	(peditor_select_menu_value_changed): Use
	gtk_option_menu_set_history
	(guard_value_changed, gconf_peditor_widget_set_guard): Implement
	(peditor_string_widget_changed): Work correctly with multiple
	callback signatures
	(gconf_peditor_new_string): Use changed signal

2001-12-08  Bradford Hovinen  <hovinen@ximian.com>

	* gconf-property-editor.c (peditor_*_widget_changed): Don't call
	gconf_value_free

2001-12-07  Bradford Hovinen  <hovinen@ximian.com>

	* gconf-property-editor.c (gconf_property_editor_class_init): Use
	correct ordering of setup
	(gconf_peditor_new_*): Terminate the parameter list passed to
	g_object_new with NULL
	(gconf_property_editor_class_init): Make the changeset property a
	pointer
	(gconf_property_editor_set_prop): Use g_value_get_object for the
	destroy notify object
	(peditor_*_value_changed): Make sure value is non-NULL

2001-11-03  Bradford Hovinen  <hovinen@ximian.com>

	* Makefile.am (libcommon_a_SOURCES): Added gconf-property-editor.[ch]

2001-10-27  Bradford Hovinen  <hovinen@ximian.com>

	* capplet-util.c (get_default_moniker): Switch to gconf: moniker
	(capplet_init): Remove legacy file hack

2001-10-18  Bradford Hovinen  <hovinen@ximian.com>

	* Bonobo_Control_Capplet_generic.oaf.in: Update listener name

	* capplet-util.c (create_control_cb): Use correct prefix for listener

2001-10-12  Bradford Hovinen  <hovinen@ximian.com>

	* capplet-util.c (get_factory_name): Updated factory name to
	reflect new, expanded roles

	* Bonobo_Control_Capplet_generic.oaf.in: Create

2001-09-29  Bradford Hovinen  <hovinen@ximian.com>

	* capplet-util.c (create_control_cb): Elimite reference counter --
	it's not necessary
	(create_control_cb): Make this a multi-factory so that we can
	return the listener when needed
	(capplet_init): Set up the listener here rather than in
	get_control_cb; also remove the listener and unref the database
	here
	(quit_cb, real_quit_cb): Remove (thank the gods)

2001-09-28  Bradford Hovinen  <hovinen@ximian.com>

	* capplet-util.c (get_default_moniker): Remove -control from the
	end of the string as well as -capplet
	(get_factory_name): Ditto
	(get_property_name): Ditto

2001-09-24  Bradford Hovinen  <hovinen@ximian.com>

	* capplet-util.c (legacy_is_modified): Improved error checking and
	cleaned up the logic a bit

2001-09-14  Bradford Hovinen  <hovinen@ximian.com>

	* capplet-util.c (set_moniker_cb): Don't call setup_cb after the
	first time

2001-09-03  Bradford Hovinen  <hovinen@ximian.com>

	* capplet-util.c (set_moniker_cb): Free the full moniker to
	correct memory leak
	(set_moniker_cb): Disconnect old signal handler

2001-08-20  Bradford Hovinen  <hovinen@ximian.com>

	* capplet-util.c (get_default_moniker): Update moniker being used

2001-07-30  Bradford Hovinen  <hovinen@ximian.com>

	* capplet-util.c (capplet_init): Don't sync if we need legacy
	values
	(capplet_init): Call setup_session_mgmt if --apply or
	--init-session-settings was passed

2001-07-27  Bradford Hovinen  <hovinen@ximian.com>

	* RELEASE : 1.5.2

2001-07-26  Bradford Hovinen  <hovinen@ximian.com>

	* capplet-util.c (capplet_init): Don't sync the database if
	retrieving legacy setings before creating the factory
	(create_control_cb): Create the config database ourselves
	(pf_destroy_cb): Remove evil hackery
	(get_control_cb): Ditto
	(create_control_cb): Support multiple property control objects --
	use a GtkObject called ref_obj to make sure the program quits when
	there are no such objects left
	(capplet_init): Pass default_moniker to factory callback;
	release_unref the db ourselves
	(get_control_cb): Support multiple controls; soak in global
	control and widget variables
	(legacy_is_modified): Remember to unref the property bag
	(quit_cb): Allow being called more than once
	(quit_cb): Unref ref_obj here
	(create_control_cb): Eliminate second signal connection
	(real_quit_cb): Free the pair structure
	(all_done_cb): Implement. Just add gtk_main_quit to the idle
	handler list
	(create_control_cb): Connect destroy signal of ref_obj to
	all_done_cb

2001-07-24  Richard Hestilow  <hestilow@ximian.com>

	* capplet-util.c (get_control_cb): Set control data on PropertyFrame
	as part of evil hack.
	(quit_cb): Work if called multiple times...also evil.
	(pf_destroy_cb): unref the control...evil evil evil.

2001-07-24  Richard Hestilow  <hestilow@ximian.com>

	* capplet-util.c: Remove debugging cruft.
	(capplet_init): Check for legacy with --init-session-settings too.

2001-07-24  Richard Hestilow  <hestilow@ximian.com>

	* capplet-util.[ch] (capplet_init): New argument of legacy files to
	check for changes.

	* capplet-util.c (legacy_is_modified): New function that checks
	a legacy file against the archiver modification date.
	(capplet_init): Pass legacy_files to legacy_is_modified, and sync
	our database with the legacy one if one has been.

2001-07-24  Bradford Hovinen  <hovinen@ximian.com>

	* capplet-util.c (real_quit_cb): Reenable disabled code
	(quit_cb): Put the db an id objects in a pair structure and pass
	that to the callback
	(real_quit_cb): Extract the db and id objects from the pair
	(create_control_cb): Set up listener for sync event rather than
	change event

2001-07-23  Bradford Hovinen  <hovinen@ximian.com>

	* capplet-util.c (set_moniker_cb): Set InvalidValue exception if
	the program could not resolve the moniker

2001-07-20  Chema Celorio  <chema@celorio.com>

	* RELEASE : 1.5.0

2001-07-19  Richard Hestilow  <hestilow@ximian.com>

	* capplet-util.c (quit_cb): Add an idle handler to call the real
	quit cb.
	(real_quit_cb): Added, it is what quit_cb used to be.

2001-07-19  Bradford Hovinen  <hovinen@ximian.com>

	* capplet-util.c (create_control_cb): Use a static variable for
	the control and return NULL if the control was already created

2001-07-18  Bradford Hovinen  <hovinen@ximian.com>

	* capplet-util.c (create_control_cb): Store listener id in
	property control
	(quit_cb): Remove listener before releasing database
	(set_moniker_cb): Kill any existing db object in case the moniker
	is set more than once
	(set_moniker_cb): Connect destroy signal on pf to pf_destroy_cb
	(pf_destroy_cb): Implement

2001-07-18  Richard Hestilow  <hestilow@ximian.com>
	
	* capplet-util.[ch]: Revert my last proxy-related change.

2001-07-18  Richard Hestilow  <hestilow@ximian.com>

	* capplet-util.h (CreateDialogFn): Add a PropertyBag argument so
	capplet authors can hook up to the proxy.

	* capplet-util.c (get_control_cb): Pass the proxy bag to setup_cb.
	(capplet_init): Don't free default_moniker until after we print it.

2001-07-17  Bradford Hovinen  <hovinen@ximian.com>

	* capplet-util.c (capplet_init): Support --init-session-settings
	for compatibility reasons
	(setup_session_mgmt): Implement. Make sure capplet runs the next
	time the user logs in
	(capplet_init): Call setup_session_mgmt for --get-legacy and
	standard execution
	(get_property_name): Implement. Return the property name
	associated with the capplet
	(set_moniker_cb): Use GTK_BIN (pf)->child rather than
	bonobo_control_get_widget
	(get_control_cb): Destroy the property control when the control or
	the widget are destroyed
	(quit_cb): Implement
	(create_control_cb): Connect destroy signal of property control to
	quit_cb
	(get_factory_name):
	(get_default_moniker):
	(get_property_name): Use correct names when the full path was
	specified for the executable

	* Makefile.am (INCLUDES): Removed -DGLADE_DATADIR

	* capplet-util.c (create_dialog_cb): Use create_widget_cb rather
	than loading from Glade
	(capplet_init): Accept CreateDialogFn and initialize
	create_dialog_cb
	(close_cb): Don't call gtk_object_destroy (dialog)
	(get_control_cb): Rename from create_dialog_cb

2001-07-14  Carlos Perello Marin <carlos@gnome-db.org>

	* .cvsignore: ssshhhh

2001-07-13  Bradford Hovinen  <hovinen@ximian.com>

	* capplet-util.c (create_dialog_cb): Return NULL in the case that
	the control is already present

